package com.jay.monitor.data.core.model.serializable.base;

import com.jay.monitor.data.core.enums.MsgTypeEnums;

/**
 * @Module 传输实体
 * @Description 通用的传输实体
 * @Author liukaixiong
 * @Date 2020/10/27 13:57
 */
public class CommonDataDTO extends BaseDTO implements ApplicationData, SearchIndexData, JsonTextData, LogDataData, RequestDataData, ErrorInfoData {

    public CommonDataDTO(MsgTypeEnums type) {
        super(type);
    }

    private String ip;

    private String applicationName;

    private String groupName;

    private String groupKeyName;

    private String dataId;

    private String logId;

    private String jsonContent;

    private Long requestTime;

    private String errorMessage;

    private String errorStackTrace;

    @Override
    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    @Override
    public String getErrorMessage() {
        return this.errorMessage;
    }

    @Override
    public void setErrorStackTrace(String stackTrace) {
        this.errorStackTrace = stackTrace;
    }

    @Override
    public String getErrorStackTrace() {
        return this.errorStackTrace;
    }

    @Override
    public String getIp() {
        return ip;
    }

    @Override
    public void setIp(String ip) {
        this.ip = ip;
    }

    @Override
    public String getApplicationName() {
        return applicationName;
    }

    @Override
    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    @Override
    public String getGroupName() {
        return groupName;
    }

    @Override
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    @Override
    public String getGroupKeyName() {
        return groupKeyName;
    }

    @Override
    public void setGroupKeyName(String groupKeyName) {
        this.groupKeyName = groupKeyName;
    }

    @Override
    public String getDataId() {
        return dataId;
    }

    @Override
    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    @Override
    public String getJsonContent() {
        return jsonContent;
    }

    @Override
    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    @Override
    public Long getRequestTime() {
        return this.requestTime;
    }

    @Override
    public void setRequestTime(Long requestTime) {
        this.requestTime = requestTime;
    }

    @Override
    public String getLogId() {
        return this.logId;
    }

    @Override
    public void setLogId(String logId) {
        this.logId = logId;
    }
}
